StackMap (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.classfile.StackMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class StackMap

    java.lang.Object
      org.apache.bcel.classfile.Attribute
          org.apache.bcel.classfile.StackMap

All Implemented Interfaces:
  Serializable, Cloneable, Node

    public final class StackMap

extends Attribute
implements Node

This class represents a stack map attribute used for preverification of Java classes for the Java 2 Micro Edition (J2ME). This attribute is used by the KVM and contained within the Code attribute of a method. See CLDC specification ß5.3.1.2

Version:
  $Id: StackMap.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `Code`, `StackMapEntry`, `StackMapType`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Attribute
`constant_pool, length, name_index, tag`

Constructor Summary
`StackMap(int name_index, int length, StackMapEntry[] map, ConstantPool constant_pool)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`Attribute` | `copy(ConstantPool _constant_pool)`
`void` | `dump(DataOutputStream file)` Dump line number table attribute to file stream in binary format.
`int` | `getMapLength()`
`StackMapEntry[]` | `getStackMap()`
`void` | `setStackMap(StackMapEntry[] map)`
`String` | `toString()`

Methods inherited from class org.apache.bcel.classfile.Attribute
`addAttributeReader, clone, getConstantPool, getLength, getNameIndex, getTag, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StackMap

    public StackMap(int name_index,
                    int length,
                    StackMapEntry[] map,
                    ConstantPool constant_pool)

Method Detail

### dump

    public final void dump(DataOutputStream file)
                    throws IOException

  Dump line number table attribute to file stream in binary format.

  Overrides:
    `dump` in class `Attribute`
  Parameters:
    `file` - Output file stream
  Throws:
    `IOException`

### getStackMap

    public final StackMapEntry[] getStackMap()

  Returns:
    Array of stack map entries

### setStackMap

    public final void setStackMap(StackMapEntry[] map)

  Parameters:
    `map` - Array of stack map entries

### toString

    public final String toString()

  Overrides:
    `toString` in class `Attribute`
  Returns:
    String representation.

### copy

    public Attribute copy(ConstantPool _constant_pool)

  Specified by:
    `copy` in class `Attribute`
  Returns:
    deep copy of this attribute

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Attribute`
  Parameters:
    `v` - Visitor object

### getMapLength

    public final int getMapLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.